For the complete documentation index, see llms.txt. This page is also available as Markdown.

User Loans

The Asset Manager API provides functionalities for managing asset managers in a blockchain-based ecosystem. Asset managers are entities responsible for managing various assets, such as digital tokens, NFTs (Non-Fungible Tokens), and other digital assets, on a blockchain network. This API allows users to retrieve information about asset managers based on their chain ID and contract address.

Endpoint:

  • GET /assetManager/{chainId}: Retrieves asset managers by their chain ID and contract address.

Parameters:

  • chainId: The ID of the blockchain chain where the asset managers are deployed.

Query Parameters specific for rentals:

  • collection: Filter for token address of the NFT collection

  • rentee: Filter for assets rented by a wallet

  • state: Filter for all assets on loan (LOAN)

Get Asset Manager by Chain ID

get
/assetManager/{chainId}
Path parameters
chainIdstringRequired

The ID of the blockchain chain

Example: 296
Query parameters
userstringOptional

NFT owner

providerstringOptional

Loan provided by

collectionstringOptional

The token address of the collection

Default: 0x00000000000000000000000000000000003a05ad
renteestringOptional

The current rentee of the asset manager

statestring · enumOptional

The state of the asset manager (Valid values: LOAN | RENT | STALE | PRE_LOAN)

Possible values:
Responses
200

Successful response

application/json
idinteger · int64Optional
initializerstringOptional
loan_pool_indexinteger · int64Optional
loan_offer_indexinteger · int64Optional
statestringOptional

Specifies the state of the asset. Possible values include 'STALE', indicating that the asset is on the marketplace listed by a user, and 'RENT', indicating that the asset is currently rented out.

loan_expiryinteger · int64Optional
providerstringOptional
rateinteger · int64Optional
validity_expiryinteger · int64Optional
is_fixedbooleanOptional
fixed_minutesinteger · int64Optional
rent_expiryinteger · int64Optional
renteestringOptional

Specifies the current rentee of the asset. If the asset is not currently rented out, this field may be null.

private_rentalbooleanOptional
owner_shareinteger · int64Optional
whiteliststring[]Optional
metadata_uristringOptional
metadata_linkstringOptional
namestringOptional
imagestringOptional
chain_idstringOptional
contract_addressstringOptional
token_addressstringOptional
token_idstringOptional
rental_typestringOptional
profitinteger · int64Optional
domintbooleanOptional
loan_amountinteger · int64Optional
indexinteger · int64Optional
tx_hashstringOptional
master_indexinteger · int64Optional
get/assetManager/{chainId}
GET /assetManager/{chainId} HTTP/1.1
Host: stagingindexer.streamnft.tech
Accept: */*
[
  {
    "id": 1,
    "initializer": "text",
    "loan_pool_index": 1,
    "loan_offer_index": 1,
    "state": "text",
    "loan_expiry": 1,
    "provider": "text",
    "rate": 1,
    "validity_expiry": 1,
    "is_fixed": true,
    "fixed_minutes": 1,
    "rent_expiry": 1,
    "rentee": "text",
    "private_rental": true,
    "owner_share": 1,
    "whitelist": [
      "text"
    ],
    "metadata_uri": "text",
    "metadata_link": "text",
    "name": "text",
    "image": "text",
    "chain_id": "text",
    "contract_address": "text",
    "token_address": "text",
    "token_id": "text",
    "rental_type": "text",
    "profit": 1,
    "domint": true,
    "loan_amount": 1,
    "index": 1,
    "tx_hash": "text",
    "master_index": 1
  }
]

Response:

  • Successful responses return an array of asset managers for provided token address with detailed information, such as the current rentee and the state of each asset.

Last updated